commit: ab74b18771785ff1f4ea57d5d7b8cf0739369632
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 28 11:11:24 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 28 11:13:06 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab74b187
dev-python/multidict: Bump to 4.7.6
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/multidict/Manifest | 1 +
dev-python/multidict/multidict-4.7.6.ebuild | 29 +++++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/multidict/Manifest b/dev-python/multidict/Manifest
index 218349403a7..9c6be09cfb2 100644
--- a/dev-python/multidict/Manifest
+++ b/dev-python/multidict/Manifest
@@ -1 +1,2 @@
DIST multidict-4.5.2.tar.gz 56753 BLAKE2B
01db2ea847e5ef2fbd4eab89c8a6070f3febcb0046be7344469a7e8e6de6a3c2b2af49069e64953dfcac0044d581c6af09eee70eba78dda8cfa9e0d11d3f1947
SHA512
ec66cf3c57e3386e07e45641536a6eeb94e9707d8a0d3b485d22b8687f20282c9115d533c7b0e9fb6dba28b923cf68dd8cdda08c75e78ca4eca2f0c3ec23c58f
+DIST multidict-4.7.6.tar.gz 57710 BLAKE2B
f08a45d4ce404dbb64d2561ee2328c0aa3a8fbf65483082c11e5e1554bec23e5c711da2350e241308a1239256b942ef6c420e6e51aef342b380cc01f84d4ca72
SHA512
5f90cb04fe2562884c331018a5002e1370e2596e0afd21e4289ab696847a3028a074bbaa6717b3905161f823f8592d6572475307039f8f97c1ac65aad815a6b0
diff --git a/dev-python/multidict/multidict-4.7.6.ebuild
b/dev-python/multidict/multidict-4.7.6.ebuild
new file mode 100644
index 00000000000..5feb6a64655
--- /dev/null
+++ b/dev-python/multidict/multidict-4.7.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="multidict implementation"
+HOMEPAGE="https://github.com/aio-libs/multidict/"
+SRC_URI="https://github.com/aio-libs/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+BDEPEND="
+ >=dev-python/cython-0.28.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs --no-autodoc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't enable coverage or other pytest settings
+ sed -i -e 's:--cov.*::' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}